# React DataTable CRUD

This project is currently under development and it's scope to be used with Codeigniter 4 API package from:
https://packagist.org/packages/muravian/cigen

## Installing

### Install component
```shell
npm i react-datatable-crud
```
or 
```shell
yarn add react-datatable-crud
```

### API path
Create or add into ``.env`` file with following:
```dotenv
REACT_APP_APIURL=<<BASE URL API>>
```

### Adding CSS
Into js file
```javascript
import 'node_modules/bootstrap/dist/css/bootstrap.min.css';
```
or into css file
```css
@import 'node_modules/bootstrap/dist/css/bootstrap.min.css';
```
where ``../`` is related to the folder where you add the command.

### Usage
```jsx
<DataTable db="db-name" />
```

